

      subroutine pl
         
         implicit none

c--      ploughshare return stuff --
         character*1024 gridpath
         integer        ngrids

c--      function protoypes --
         integer fetch
         integer getnbins

c--      grid output paths - allow up to 20 grids in this example --
         character paths(20)*1024

c--      returned cross section data -- 
         integer nbins
         double precision xsec(512)

c--      odds n ends --
         integer i, j

c--      this is the counter - it is automatically incremented 
c--      whenever a new grid is opened ...
         integer igrid, tgrid

         igrid = 0
         tgrid = 0

c--      initialise LHAPDF --

         call initpdfset( "CT10" )



c--      fetch the ploughshare dataset --          
         ngrids = fetch( "atlas-atlas-dijets-arxiv-1312.3524" )


c--      read in all the grids --

         do i = 1, ngrids

c--         get the full path to specific grid in the data set --
            call getgridpath( "atlas-atlas-dijets-arxiv-1312.3524", i-1, 
     &                         paths(i) )

            write (6,*) i, paths(i) 

c--         read in the grids as usual --             
c--         here tgrid is incremented after each grid has been allocated 
c--         NB: the tgrid passed in to readgrid will be incremented, 
c--             so need to keep a copy so that this grid can be
c--             used 
            call readgrid( tgrid, paths(i) )

         end do



c--      performa ll the convoluteions --

         write (6,*) "convolutin' ..."

         do igrid = 0, ngrids-1

c--         number of bins in this grid ---    
            nbins = getnbins( igrid )

            write (6,*) " gridpath: ",  paths(igrid+1), 
     &                  " nbins:",      nbins,  
     &                  " igrid: ",     igrid

c--         do the actual convolution ---
            call convolute( igrid, xsec )

            do j=1, nbins
               write (6,*) j, "xsec = ", xsec(j)
            end do

         end do

      end

